You can update the details of a single collection by making a PUT request to https://api.intercom.io/help_center/collections/<id>.
Requires the read_write_articles_scope OAuth scope.
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
The name of the collection. For multilingual collections, this will be the name of the default language's content.
The description of the collection. For multilingual collections, this will be the description of the default language's content.
The Translated Content of an Group. The keys are the locale codes and the values are the translated content of the Group.
The id of the parent collection to move the collection into. Omitting this field or sending null leaves the collection where it is. Send home to move it to the first level.
- The production API serverhttps://api.intercom.io/help_center/collections/{collection_id}
- The european API serverhttps://api.eu.intercom.io/help_center/collections/{collection_id}
- The australian API serverhttps://api.au.intercom.io/help_center/collections/{collection_id}
- successful
- Collection Not Found
curl -i -X PUT \
https://api.intercom.io/help_center/collections/123 \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Intercom-Version: 2.17' \
-d '{
"name": "Update collection name"
}'successful
The name of the collection. For multilingual collections, this will be the name of the default language's content.
The description of the collection. For multilingual help centers, this will be the description of the collection for the default language.
The time when the article was created (seconds). For multilingual articles, this will be the timestamp of creation of the default language's content.
The time when the article was last updated (seconds). For multilingual articles, this will be the timestamp of last update of the default language's content.
The URL of the collection. For multilingual help centers, this will be the URL of the collection for the default language.
The order of the section in relation to others sections within a collection. Values go from 0 upwards. 0 is the default if there's no order.
The default locale of the help center. This field is only returned for multilingual help centers.
The Translated Content of an Group. The keys are the locale codes and the values are the translated content of the Group.
The id of the parent collection. If null then it is the first level collection.
{ "id": "176", "type": "collection", "workspace_id": "this_is_an_id112_that_should_be_at_least_", "name": "Update collection name", "url": "http://help-center.test/myapp-112/en/collections/176-update-collection-name", "order": 25, "created_at": 1734537318, "updated_at": 1734537319, "description": "english collection description", "icon": "folder", "parent_id": null, "help_center_id": 87 }